upstream winit-svc {
    server winit-svc:8095;
}

server {
    listen 80;
    listen 443 ssl http2;

    #ssl on;
    ssl_certificate ssl/jixiang.cn.pem;
    ssl_certificate_key ssl/jixiang.cn.key;
    ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
    ssl_ciphers HIGH:!RC4:!MD5:!aNULL:!eNULL:!NULL:!DH:!EDH:!EXP:+MEDIUM;
    ssl_prefer_server_ciphers on;
    ssl_session_timeout 5m;

    add_header Access-Control-Allow-Origin *;
    add_header Access-Control-Allow-Headers X-Requested-With;
    add_header Access-Control-Allow-Methods GET,POST,OPTIONS;

    charset utf-8;

    server_name jinit1.jixiang.cn jinit2.jixiang.cn jinit3.jixiang.cn jinittest.jixiang.cn;

    location / {
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header Remote_addr $remote_addr;
        proxy_set_header X-Real_IP $remote_addr;
        proxy_set_header Host $host;

        proxy_redirect off;
        proxy_http_version 1.1;
        proxy_pass http://winit-svc;
    }
    
    location /favicon.ico {
        log_not_found off;
        access_log off;
    }
}
